| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ThreeBodyReaction Class Reference

A reaction with a non-reacting third body "M" that acts to add or remove energy from the reacting species. More...

`#include <Reaction.h>`

Inheritance diagram for ThreeBodyReaction:
[legend]

## Detailed Description

A reaction with a non-reacting third body "M" that acts to add or remove energy from the reacting species.

Deprecated:
  To be removed after Cantera 3.0. Merged with Reaction

Definition at line 284 of file Reaction.h.

## Public Member Functions
| ThreeBodyReaction (const Composition &reactants, const Composition &products, const ArrheniusRate &rate, const ThirdBody &tbody)
| ThreeBodyReaction (const AnyMap &node, const Kinetics &kin)
Public Member Functions inherited from Reaction
| Reaction (const Composition &reactants, const Composition &products, shared_ptr< ReactionRate > rate, shared_ptr< ThirdBody > tbody=nullptr)
| Reaction (const string &equation, shared_ptr< ReactionRate > rate, shared_ptr< ThirdBody > tbody=nullptr)
| Reaction (const AnyMap &node, const Kinetics &kin)
| Construct a Reaction and corresponding ReactionRate based on AnyMap (YAML) input.
string | reactantString () const
| The reactant side of the chemical equation for this reaction.
string | productString () const
| The product side of the chemical equation for this reaction.
string | equation () const
| The chemical equation for this reaction.
void | setEquation (const string &equation, const Kinetics *kin=0)
| Set the reactants and products based on the reaction equation.
string | type () const
| The type of reaction, including reaction rate information.
UnitStack | calculateRateCoeffUnits (const Kinetics &kin)
| Calculate the units of the rate constant.
UnitStack | calculateRateCoeffUnits3 (const Kinetics &kin)
| Calculate the units of the rate constant.
void | check ()
| Ensure that the rate constant and other parameters for this reaction are valid.
void | validate ()
| Ensure that the rate constant and other parameters for this reaction are valid.
void | validate (Kinetics &kin)
| Perform validation checks that need access to a complete Kinetics objects, for.
AnyMap | parameters (bool withInput=true) const
| Return the parameters such that an identical Reaction could be reconstructed using the newReaction() function.
void | setParameters (const AnyMap &node, const Kinetics &kin)
| Set up reaction based on AnyMap node
bool | valid () const
| Get validity flag of reaction.
void | setValid (bool valid)
| Set validity flag of reaction.
void | checkBalance (const Kinetics &kin) const
| Check that the specified reaction is balanced (same number of atoms for each element in the reactants and products).
bool | checkSpecies (const Kinetics &kin) const
| Verify that all species involved in the reaction are defined in the Kinetics object.
bool | usesElectrochemistry (const Kinetics &kin) const
| Check whether reaction uses electrochemistry.
shared_ptr< ReactionRate > | rate ()
| Get reaction rate pointer.
void | setRate (shared_ptr< ReactionRate > rate)
| Set reaction rate pointer.
shared_ptr< ThirdBody > | thirdBody ()
| Get pointer to third-body handler.
bool | usesThirdBody () const
| Check whether reaction involves third body collider.

## Additional Inherited Members
Public Attributes inherited from Reaction
Composition | reactants
| Reactant species and stoichiometric coefficients.
Composition | products
| Product species and stoichiometric coefficients.
Composition | orders
| Forward reaction order with respect to specific species.
string | id
| An identification string for the reaction, used in some filtering operations.
bool | reversible = true
| True if the current reaction is reversible. False otherwise.
bool | duplicate = false
| True if the current reaction is marked as duplicate.
bool | allow_nonreactant_orders = false
| True if reaction orders can be specified for non-reactant species.
bool | allow_negative_orders = false
| True if negative reaction orders are allowed. Default is `false`.
AnyMap | input
| Input data used for specific models.
Units | rate_units {0.0}
| The units of the rate constant.
Protected Member Functions inherited from Reaction
void | getParameters (AnyMap &reactionNode) const
| Store the parameters of a Reaction needed to reconstruct an identical object using the newReaction(AnyMap&, Kinetics&) function.
Protected Attributes inherited from Reaction
bool | m_valid = true
| Flag indicating whether reaction is set up correctly.
bool | m_explicit_type = false
| Flag indicating that serialization uses explicit type.
bool | m_from_composition = false
| Flag indicating that object was instantiated from reactant/product compositions.
shared_ptr< ReactionRate > | m_rate
| Reaction rate used by generic reactions.
shared_ptr< ThirdBody > | m_third_body
| Relative efficiencies of third-body species in enhancing the reaction rate (if applicable)

## Constructor & Destructor Documentation

## ◆ ThreeBodyReaction() [1/3]

ThreeBodyReaction | ( |  | ) |

Definition at line 848 of file Reaction.cpp.

## ◆ ThreeBodyReaction() [2/3]

ThreeBodyReaction | ( | const Composition & | reactants,
|  | const Composition & | products,
|  | const ArrheniusRate & | rate,
|  | const ThirdBody & | tbody
| ) |  |

Definition at line 856 of file Reaction.cpp.

## ◆ ThreeBodyReaction() [3/3]

ThreeBodyReaction | ( | const AnyMap & | node,
|  | const Kinetics & | kin
| ) |  |

Definition at line 869 of file Reaction.cpp.

The documentation for this class was generated from the following files:

- Reaction.h
- Reaction.cpp